/* ============================================================
 *
 * This file is a part of digiKam project
 * https://www.digikam.org
 *
 * Date        : 2023-05-15
 * Description : geolocation engine based on Marble.
 *               (c) 2007-2022 Marble Team
 *               https://invent.kde.org/education/marble/-/raw/master/data/credits_authors.html
 *
 * SPDX-FileCopyrightText: 2023-2025 by Gilles Caulier <caulier dot gilles at gmail dot com>
 *
 * SPDX-License-Identifier: LGPL-2.1-or-later
 *
 * ============================================================ */

#include "GeoDataTypes.h"

namespace Marble
{

namespace GeoDataTypes
{

const char GeoDataAnimatedUpdateType[] = "GeoDataAnimatedUpdate";
const char GeoDataAliasType[] = "GeoDataAlias";
const char GeoDataCameraType[] = "GeoDataCamera";
const char GeoDataChangeType[] = "GeoDataChange";
const char GeoDataColorStyleType[] = "GeoDataColorStyle";
const char GeoDataCreateType[] = "GeoDataCreate";
const char GeoDataDataType[] = "GeoDataData";
const char GeoDataDeleteType[] = "GeoDataDelete";
const char GeoDataDocumentType[] = "GeoDataDocument";
const char GeoDataExtendedDataType[] = "GeoDataExtendedData";
const char GeoDataFlyToType[] = "GeoDataFlyTo";
const char GeoDataFolderType[] = "GeoDataFolder";
const char GeoDataGroundOverlayType[] = "GeoDataGroundOverlay";
const char GeoDataHotspotType[] = "GeoDataHotspot";
const char GeoDataIconStyleType[] = "GeoDataIconStyle";
const char GeoDataInnerBoundaryType[] = "GeoDataInnerBoundary";
const char GeoDataLabelStyleType[] = "GeoDataLabelStyle";
const char GeoDataLatLonAltBoxType[] = "GeoDataLatLonAlt";
const char GeoDataLatLonBoxType[] = "GeoDataLatLonBox";
const char GeoDataLatLonQuadType[] = "GeoDataLatLonQuad";
const char GeoDataLinearRingType[] = "GeoDataLinearRing";
const char GeoDataLineStringType[] = "GeoDataLineString";
const char GeoDataLineStyleType[] = "GeoDataLineStyle";
const char GeoDataLinkType[] = "GeoDataLink";
const char GeoDataLocationType[] = "GeoDataLocation";
const char GeoDataLodType[] = "GeoDataLod";
const char GeoDataLookAtType[] = "GeoDataLookAt";
const char GeoDataModelType[] = "GeoDataModel";
const char GeoDataMultiGeometryType[] = "GeoDataMultiGeometry";
const char GeoDataMultiTrackType[] = "GeoDataMultiTrack";
const char GeoDataNetworkLinkType[] = "GeoDataNetworkLink";
const char GeoDataOrientationType[] = "GeoDataOrientation";
const char GeoDataOuterBoundaryType[] = "GeoDataOuterBoundary";
const char GeoDataPhotoOverlayType[] = "GeoDataPhotoOverlay";
const char GeoDataPlacemarkType[] = "GeoDataPlacemark";
const char GeoDataPlaylistType[] = "GeoDataPlaylist";
const char GeoDataPointType[] = "GeoDataPoint";
const char GeoDataPolygonType[] = "GeoDataPolygon";
const char GeoDataPolyStyleType[] = "GeoDataPolyStyle";
const char GeoDataRegionType[] = "GeoDataRegion";
const char GeoDataRelationType[] = "GeoDataRelationType";
const char GeoDataResourceMapType[] = "GeoDataResourceMap";
const char GeoDataSchemaType[] = "GeoDataSchema";
const char GeoDataSchemaDataType[] = "GeoDataSchemaData";
const char GeoDataSimpleDataType[] = "GeoDataSimpleData";
const char GeoDataSimpleFieldType[] = "GeoDataSimpleField";
const char GeoDataSimpleArrayDataType[] = "GeoDataSimpleArrayData";
const char GeoDataStyleType[] = "GeoDataStyle";
const char GeoDataStyleMapType[] = "GeoDataStyleMap";
const char GeoDataSoundCueType[] = "GeoDataSoundCue";
const char GeoDataTimePrimitiveType[] = "GeoDataTimePrimitive";
const char GeoDataTimeSpanType[] = "GeoDataTimeSpan";
const char GeoDataTimeStampType[] = "GeoDataTimeStamp";
const char GeoDataTourType[] = "GeoDataTour";
const char GeoDataTourControlType[] = "GeoDataTourControl";
const char GeoDataWaitType[] = "GeoDataWait";
const char GeoDataTrackType[] = "GeoDataTrack";
const char GeoDataScaleType[] = "GeoDataScale";
const char GeoDataScreenOverlayType[] = "GeoDataScreenOverlay";
const char GeoDataBalloonStyleType[] = "GeoDataBalloonStyle";
const char GeoDataListStyleType[] = "GeoDataListStyle";
const char GeoDataItemIconType[] = "GeoDataItemIcon";
const char GeoDataImagePyramidType[] = "GeoDataImagePyramid";
const char GeoDataViewVolumeType[] = "GeoDataViewVolume";
const char GeoDataNetworkLinkControlType[] = "GeoDataNetworkLinkControl";
const char GeoDataUpdateType[] = "GeoDataUpdate";
const char GeoDataBuildingType[] = "GeoDataBuilding";

} // namespace GeoDataTypes

} // namespace Marble
