/* A Bison parser, made by GNU Bison 3.8.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2021 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output, and Bison version.  */
#define YYBISON 30802

/* Bison version string.  */
#define YYBISON_VERSION "3.8.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1




/* First part of user prologue.  */
#line 15 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/core/dplugins/generic/tools/panorama/panoparser/ptoparser/panoParser.y"


#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>

#include "tparserdebug.h"
#include "tparserprivate.h"

int yylex (void);
void yyerror (char const *);
/*  Keeps track of the current type of input line in the file */
int currentLine = -1;

pt_script script;

/* defining it gives better error messages. It might be an overkill */
/* #define YYERROR_VERBOSE 1  */

static pt_script_image *image = NULL;
static pt_script_ctrl_point *ctrlPoint = NULL;
static pt_script_mask *mask = NULL;
static int nbProjParms = 0;
static double* projParms = NULL;
static int nbCommentLine = 0;
static char** commentLines = NULL;

/* copy a string while allocating and checking for memory */
static void ParserStringCopy(char **dest, const char *from)
{
    if (*dest)
        free(*dest);
    *dest = strdup(from);
    if (*dest == NULL)
        yyerror("Not enough memory");
}



#line 112 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/redhat-linux-build/core/dplugins/generic/tools/panorama/panoParser.c"

# ifndef YY_CAST
#  ifdef __cplusplus
#   define YY_CAST(Type, Val) static_cast<Type> (Val)
#   define YY_REINTERPRET_CAST(Type, Val) reinterpret_cast<Type> (Val)
#  else
#   define YY_CAST(Type, Val) ((Type) (Val))
#   define YY_REINTERPRET_CAST(Type, Val) ((Type) (Val))
#  endif
# endif
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

#include "panoParser.h"
/* Symbol kind.  */
enum yysymbol_kind_t
{
  YYSYMBOL_YYEMPTY = -2,
  YYSYMBOL_YYEOF = 0,                      /* "end of file"  */
  YYSYMBOL_YYerror = 1,                    /* error  */
  YYSYMBOL_YYUNDEF = 2,                    /* "invalid token"  */
  YYSYMBOL_PT_TOKEN_NUMBER_INT = 3,        /* PT_TOKEN_NUMBER_INT  */
  YYSYMBOL_PT_TOKEN_NUMBER_FLOAT = 4,      /* PT_TOKEN_NUMBER_FLOAT  */
  YYSYMBOL_PT_TOKEN_STRING = 5,            /* PT_TOKEN_STRING  */
  YYSYMBOL_PT_TOKEN_HUGIN_KEYWORD = 6,     /* PT_TOKEN_HUGIN_KEYWORD  */
  YYSYMBOL_PT_TOKEN_KEYWORD = 7,           /* PT_TOKEN_KEYWORD  */
  YYSYMBOL_PT_TOKEN_KEYWORD_MULTICHAR = 8, /* PT_TOKEN_KEYWORD_MULTICHAR  */
  YYSYMBOL_PT_TOKEN_KEYWORD_CROPPING = 9,  /* PT_TOKEN_KEYWORD_CROPPING  */
  YYSYMBOL_PT_TOKEN_COMMENT = 10,          /* PT_TOKEN_COMMENT  */
  YYSYMBOL_PT_TOKEN_EOL = 11,              /* PT_TOKEN_EOL  */
  YYSYMBOL_PT_TOKEN_SEP = 12,              /* PT_TOKEN_SEP  */
  YYSYMBOL_PT_TOKEN_INPUT_LINE = 13,       /* PT_TOKEN_INPUT_LINE  */
  YYSYMBOL_PT_TOKEN_PANO_LINE = 14,        /* PT_TOKEN_PANO_LINE  */
  YYSYMBOL_PT_TOKEN_CONTROL_PT_LINE = 15,  /* PT_TOKEN_CONTROL_PT_LINE  */
  YYSYMBOL_PT_TOKEN_PANO_OPTIMIZE_OPT_LINE = 16, /* PT_TOKEN_PANO_OPTIMIZE_OPT_LINE  */
  YYSYMBOL_PT_TOKEN_PANO_OPTIMIZE_VARS_LINE = 17, /* PT_TOKEN_PANO_OPTIMIZE_VARS_LINE  */
  YYSYMBOL_PT_TOKEN_KEYWORD_MASK = 18,     /* PT_TOKEN_KEYWORD_MASK  */
  YYSYMBOL_PT_TOKEN_KEYWORD_PROJPARAMS = 19, /* PT_TOKEN_KEYWORD_PROJPARAMS  */
  YYSYMBOL_PT_TOKEN_COMMA = 20,            /* PT_TOKEN_COMMA  */
  YYSYMBOL_PT_TOKEN_REFERENCE = 21,        /* PT_TOKEN_REFERENCE  */
  YYSYMBOL_PT_TOKEN_MASK_PT_LINE = 22,     /* PT_TOKEN_MASK_PT_LINE  */
  YYSYMBOL_PT_TOKEN_ERROR = 23,            /* PT_TOKEN_ERROR  */
  YYSYMBOL_PT_TOKEN_EOF = 24,              /* PT_TOKEN_EOF  */
  YYSYMBOL_YYACCEPT = 25,                  /* $accept  */
  YYSYMBOL_input = 26,                     /* input  */
  YYSYMBOL_lines = 27,                     /* lines  */
  YYSYMBOL_line = 28,                      /* line  */
  YYSYMBOL_commentlines = 29,              /* commentlines  */
  YYSYMBOL_commentline = 30,               /* commentline  */
  YYSYMBOL_realline = 31,                  /* realline  */
  YYSYMBOL_inputline = 32,                 /* inputline  */
  YYSYMBOL_33_1 = 33,                      /* $@1  */
  YYSYMBOL_panoline = 34,                  /* panoline  */
  YYSYMBOL_35_2 = 35,                      /* $@2  */
  YYSYMBOL_optimizeOptsline = 36,          /* optimizeOptsline  */
  YYSYMBOL_37_3 = 37,                      /* $@3  */
  YYSYMBOL_optimizeVarsline = 38,          /* optimizeVarsline  */
  YYSYMBOL_39_4 = 39,                      /* $@4  */
  YYSYMBOL_optimizeVarslineEmpty = 40,     /* optimizeVarslineEmpty  */
  YYSYMBOL_ctrlPtsLine = 41,               /* ctrlPtsLine  */
  YYSYMBOL_42_5 = 42,                      /* $@5  */
  YYSYMBOL_maskPtsLine = 43,               /* maskPtsLine  */
  YYSYMBOL_44_6 = 44,                      /* $@6  */
  YYSYMBOL_eoln = 45,                      /* eoln  */
  YYSYMBOL_varsOpt = 46,                   /* varsOpt  */
  YYSYMBOL_varOpt = 47,                    /* varOpt  */
  YYSYMBOL_varsinput = 48,                 /* varsinput  */
  YYSYMBOL_vars = 49,                      /* vars  */
  YYSYMBOL_varinput = 50,                  /* varinput  */
  YYSYMBOL_var = 51,                       /* var  */
  YYSYMBOL_varsparms = 52,                 /* varsparms  */
  YYSYMBOL_varsparmsmask = 53,             /* varsparmsmask  */
  YYSYMBOL_varparmmask = 54,               /* varparmmask  */
  YYSYMBOL_mask = 55,                      /* mask  */
  YYSYMBOL_maskpoint = 56,                 /* maskpoint  */
  YYSYMBOL_varcropping = 57,               /* varcropping  */
  YYSYMBOL_varreference = 58,              /* varreference  */
  YYSYMBOL_varparameter = 59,              /* varparameter  */
  YYSYMBOL_varonly = 60,                   /* varonly  */
  YYSYMBOL_projparams = 61,                /* projparams  */
  YYSYMBOL_float = 62,                     /* float  */
  YYSYMBOL_int = 63,                       /* int  */
  YYSYMBOL_intorfloat = 64                 /* intorfloat  */
};
typedef enum yysymbol_kind_t yysymbol_kind_t;




#ifdef short
# undef short
#endif

/* On compilers that do not define __PTRDIFF_MAX__ etc., make sure
   <limits.h> and (if available) <stdint.h> are included
   so that the code can choose integer types of a good width.  */

#ifndef __PTRDIFF_MAX__
# include <limits.h> /* INFRINGES ON USER NAME SPACE */
# if defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stdint.h> /* INFRINGES ON USER NAME SPACE */
#  define YY_STDINT_H
# endif
#endif

/* Narrow types that promote to a signed type and that can represent a
   signed or unsigned integer of at least N bits.  In tables they can
   save space and decrease cache pressure.  Promoting to a signed type
   helps avoid bugs in integer arithmetic.  */

#ifdef __INT_LEAST8_MAX__
typedef __INT_LEAST8_TYPE__ yytype_int8;
#elif defined YY_STDINT_H
typedef int_least8_t yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef __INT_LEAST16_MAX__
typedef __INT_LEAST16_TYPE__ yytype_int16;
#elif defined YY_STDINT_H
typedef int_least16_t yytype_int16;
#else
typedef short yytype_int16;
#endif

/* Work around bug in HP-UX 11.23, which defines these macros
   incorrectly for preprocessor constants.  This workaround can likely
   be removed in 2023, as HPE has promised support for HP-UX 11.23
   (aka HP-UX 11i v2) only through the end of 2022; see Table 2 of
   <https://h20195.www2.hpe.com/V2/getpdf.aspx/4AA4-7673ENW.pdf>.  */
#ifdef __hpux
# undef UINT_LEAST8_MAX
# undef UINT_LEAST16_MAX
# define UINT_LEAST8_MAX 255
# define UINT_LEAST16_MAX 65535
#endif

#if defined __UINT_LEAST8_MAX__ && __UINT_LEAST8_MAX__ <= __INT_MAX__
typedef __UINT_LEAST8_TYPE__ yytype_uint8;
#elif (!defined __UINT_LEAST8_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST8_MAX <= INT_MAX)
typedef uint_least8_t yytype_uint8;
#elif !defined __UINT_LEAST8_MAX__ && UCHAR_MAX <= INT_MAX
typedef unsigned char yytype_uint8;
#else
typedef short yytype_uint8;
#endif

#if defined __UINT_LEAST16_MAX__ && __UINT_LEAST16_MAX__ <= __INT_MAX__
typedef __UINT_LEAST16_TYPE__ yytype_uint16;
#elif (!defined __UINT_LEAST16_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST16_MAX <= INT_MAX)
typedef uint_least16_t yytype_uint16;
#elif !defined __UINT_LEAST16_MAX__ && USHRT_MAX <= INT_MAX
typedef unsigned short yytype_uint16;
#else
typedef int yytype_uint16;
#endif

#ifndef YYPTRDIFF_T
# if defined __PTRDIFF_TYPE__ && defined __PTRDIFF_MAX__
#  define YYPTRDIFF_T __PTRDIFF_TYPE__
#  define YYPTRDIFF_MAXIMUM __PTRDIFF_MAX__
# elif defined PTRDIFF_MAX
#  ifndef ptrdiff_t
#   include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  endif
#  define YYPTRDIFF_T ptrdiff_t
#  define YYPTRDIFF_MAXIMUM PTRDIFF_MAX
# else
#  define YYPTRDIFF_T long
#  define YYPTRDIFF_MAXIMUM LONG_MAX
# endif
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM                                  \
  YY_CAST (YYPTRDIFF_T,                                 \
           (YYPTRDIFF_MAXIMUM < YY_CAST (YYSIZE_T, -1)  \
            ? YYPTRDIFF_MAXIMUM                         \
            : YY_CAST (YYSIZE_T, -1)))

#define YYSIZEOF(X) YY_CAST (YYPTRDIFF_T, sizeof (X))


/* Stored state numbers (used for stacks). */
typedef yytype_int8 yy_state_t;

/* State numbers in computations.  */
typedef int yy_state_fast_t;

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif


#ifndef YY_ATTRIBUTE_PURE
# if defined __GNUC__ && 2 < __GNUC__ + (96 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_PURE __attribute__ ((__pure__))
# else
#  define YY_ATTRIBUTE_PURE
# endif
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# if defined __GNUC__ && 2 < __GNUC__ + (7 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_UNUSED __attribute__ ((__unused__))
# else
#  define YY_ATTRIBUTE_UNUSED
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YY_USE(E) ((void) (E))
#else
# define YY_USE(E) /* empty */
#endif

/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
#if defined __GNUC__ && ! defined __ICC && 406 <= __GNUC__ * 100 + __GNUC_MINOR__
# if __GNUC__ * 100 + __GNUC_MINOR__ < 407
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")
# else
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")              \
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# endif
# define YY_IGNORE_MAYBE_UNINITIALIZED_END      \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif

#if defined __cplusplus && defined __GNUC__ && ! defined __ICC && 6 <= __GNUC__
# define YY_IGNORE_USELESS_CAST_BEGIN                          \
    _Pragma ("GCC diagnostic push")                            \
    _Pragma ("GCC diagnostic ignored \"-Wuseless-cast\"")
# define YY_IGNORE_USELESS_CAST_END            \
    _Pragma ("GCC diagnostic pop")
#endif
#ifndef YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_END
#endif


#define YY_ASSERT(E) ((void) (0 && (E)))

#if !defined yyoverflow

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* !defined yyoverflow */

#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yy_state_t yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (YYSIZEOF (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (YYSIZEOF (yy_state_t) + YYSIZEOF (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYPTRDIFF_T yynewbytes;                                         \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * YYSIZEOF (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / YYSIZEOF (*yyptr);                        \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, YY_CAST (YYSIZE_T, (Count)) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYPTRDIFF_T yyi;                      \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  5
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   92

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  25
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  40
/* YYNRULES -- Number of rules.  */
#define YYNRULES  68
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  117

/* YYMAXUTOK -- Last valid token kind.  */
#define YYMAXUTOK   279


/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                \
  (0 <= (YYX) && (YYX) <= YYMAXUTOK                     \
   ? YY_CAST (yysymbol_kind_t, yytranslate[YYX])        \
   : YYSYMBOL_YYUNDEF)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_int8 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24
};

#if YYDEBUG
/* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_int16 yyrline[] =
{
       0,    99,    99,   107,   108,   110,   116,   117,   119,   133,
     161,   166,   171,   199,   200,   228,   259,   258,   293,   292,
     299,   298,   307,   306,   311,   314,   313,   327,   326,   358,
     370,   371,   373,   386,   405,   406,   408,   409,   413,   414,
     415,   417,   418,   419,   421,   422,   424,   428,   436,   452,
     459,   460,   462,   477,   507,   593,   638,   685,   693,   827,
     919,   932,  1046,  1065,  1072,  1080,  1082,  1084,  1085
};
#endif

/** Accessing symbol of state STATE.  */
#define YY_ACCESSING_SYMBOL(State) YY_CAST (yysymbol_kind_t, yystos[State])

#if YYDEBUG || 0
/* The user-facing name of the symbol whose (internal) number is
   YYSYMBOL.  No bounds checking.  */
static const char *yysymbol_name (yysymbol_kind_t yysymbol) YY_ATTRIBUTE_UNUSED;

/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "\"end of file\"", "error", "\"invalid token\"", "PT_TOKEN_NUMBER_INT",
  "PT_TOKEN_NUMBER_FLOAT", "PT_TOKEN_STRING", "PT_TOKEN_HUGIN_KEYWORD",
  "PT_TOKEN_KEYWORD", "PT_TOKEN_KEYWORD_MULTICHAR",
  "PT_TOKEN_KEYWORD_CROPPING", "PT_TOKEN_COMMENT", "PT_TOKEN_EOL",
  "PT_TOKEN_SEP", "PT_TOKEN_INPUT_LINE", "PT_TOKEN_PANO_LINE",
  "PT_TOKEN_CONTROL_PT_LINE", "PT_TOKEN_PANO_OPTIMIZE_OPT_LINE",
  "PT_TOKEN_PANO_OPTIMIZE_VARS_LINE", "PT_TOKEN_KEYWORD_MASK",
  "PT_TOKEN_KEYWORD_PROJPARAMS", "PT_TOKEN_COMMA", "PT_TOKEN_REFERENCE",
  "PT_TOKEN_MASK_PT_LINE", "PT_TOKEN_ERROR", "PT_TOKEN_EOF", "$accept",
  "input", "lines", "line", "commentlines", "commentline", "realline",
  "inputline", "$@1", "panoline", "$@2", "optimizeOptsline", "$@3",
  "optimizeVarsline", "$@4", "optimizeVarslineEmpty", "ctrlPtsLine", "$@5",
  "maskPtsLine", "$@6", "eoln", "varsOpt", "varOpt", "varsinput", "vars",
  "varinput", "var", "varsparms", "varsparmsmask", "varparmmask", "mask",
  "maskpoint", "varcropping", "varreference", "varparameter", "varonly",
  "projparams", "float", "int", "intorfloat", YY_NULLPTR
};

static const char *
yysymbol_name (yysymbol_kind_t yysymbol)
{
  return yytname[yysymbol];
}
#endif

#define YYPACT_NINF (-48)

#define yypact_value_is_default(Yyn) \
  ((Yyn) == YYPACT_NINF)

#define YYTABLE_NINF (-1)

#define yytable_value_is_error(Yyn) \
  0

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
static const yytype_int8 yypact[] =
{
     -48,    25,   -48,   -48,    23,   -48,   -48,    23,    -6,    22,
      29,    38,    49,    50,    51,   -48,   -48,    -6,    -6,    -6,
      -6,    -6,    -6,    -6,   -48,   -48,   -48,   -48,   -48,   -48,
     -48,   -48,   -48,   -48,   -48,   -48,   -48,   -48,   -48,     7,
      35,    13,    35,     5,    10,     3,     6,    61,    27,    55,
     -48,   -48,   -48,   -48,    43,    53,    64,   -48,   -48,   -48,
     -48,    43,    65,   -48,    64,    61,    61,    66,   -48,    61,
      61,    67,   -48,   -48,   -48,   -48,    61,   -48,   -48,   -48,
     -48,   -48,    61,   -48,    45,    60,   -48,     7,    35,    13,
     -48,   -48,     5,   -48,    62,   -48,    63,    10,   -48,   -48,
      61,    27,   -48,   -48,   -48,   -48,    61,    61,   -48,    68,
     -48,   -48,   -48,    61,    69,    61,   -48
};

/* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE does not specify something else to do.  Zero
   means the default is an error.  */
static const yytype_int8 yydefact[] =
{
       6,     0,     6,     4,     0,     1,     3,     2,     0,     0,
       0,     0,     0,    24,     0,     7,     5,     0,     0,     0,
       0,     0,     0,     0,    29,     8,    16,    18,    25,    20,
      22,    27,     9,    10,    11,    12,    13,    14,    15,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    17,
      34,    38,    39,    40,    62,     0,    19,    36,    41,    42,
      43,     0,    26,    44,    21,     0,     0,    23,    30,     0,
       0,    28,    46,    66,    65,    56,     0,    59,    58,    68,
      67,    60,     0,    61,     0,    57,    63,     0,     0,     0,
      33,    32,     0,    48,    49,    50,     0,     0,    55,    54,
       0,     0,    35,    37,    45,    31,     0,     0,    47,     0,
      64,    51,    52,     0,     0,     0,    53
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int8 yypgoto[] =
{
     -48,   -48,   -48,    79,    82,   -48,   -48,   -48,   -48,   -48,
     -48,   -48,   -48,   -48,   -48,   -48,   -48,   -48,   -48,   -48,
      52,   -48,    -7,   -48,    44,     0,     2,   -48,   -48,    -5,
     -48,   -15,   -35,   -48,   -38,   -48,   -48,   -48,   -47,   -46
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int8 yydefgoto[] =
{
       0,     1,     2,     3,     4,    15,    16,    17,    39,    18,
      40,    19,    42,    20,    43,    21,    22,    41,    23,    44,
      25,    67,    68,    49,    56,    50,    57,    62,    71,    72,
      94,    95,    58,    52,    59,    60,    85,    77,    78,    83
};

/* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule whose
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int8 yytable[] =
{
      84,    53,    86,    63,    51,    24,    73,    74,    75,    79,
      80,    81,    65,    66,    45,    46,    47,    69,    90,    91,
      61,    55,    93,    96,    76,     5,    48,    82,    70,    98,
      79,    80,    48,     8,    26,    99,     9,    10,    11,    12,
      13,    27,    54,    55,    47,    14,    73,    74,    75,    53,
      28,   104,    51,   109,    48,   110,    79,    80,    81,    96,
     112,    29,    30,    31,    73,   100,   114,    87,   116,    32,
      33,    34,    35,    36,    37,    38,    88,    89,    92,    97,
     101,     6,   106,   107,     7,   105,    64,   102,   113,   115,
     103,   111,   108
};

static const yytype_int8 yycheck[] =
{
      47,    39,    48,    41,    39,    11,     3,     4,     5,     3,
       4,     5,     7,     8,     7,     8,     9,     7,    65,    66,
       7,     8,    69,    70,    21,     0,    19,    21,    18,    76,
       3,     4,    19,    10,    12,    82,    13,    14,    15,    16,
      17,    12,     7,     8,     9,    22,     3,     4,     5,    87,
      12,    89,    87,   100,    19,   101,     3,     4,     5,   106,
     107,    12,    12,    12,     3,    20,   113,    12,   115,    17,
      18,    19,    20,    21,    22,    23,    12,    12,    12,    12,
      20,     2,    20,    20,     2,    92,    42,    87,    20,    20,
      88,   106,    97
};

/* YYSTOS[STATE-NUM] -- The symbol kind of the accessing symbol of
   state STATE-NUM.  */
static const yytype_int8 yystos[] =
{
       0,    26,    27,    28,    29,     0,    28,    29,    10,    13,
      14,    15,    16,    17,    22,    30,    31,    32,    34,    36,
      38,    40,    41,    43,    11,    45,    12,    12,    12,    12,
      12,    12,    45,    45,    45,    45,    45,    45,    45,    33,
      35,    42,    37,    39,    44,     7,     8,     9,    19,    48,
      50,    57,    58,    59,     7,     8,    49,    51,    57,    59,
      60,     7,    52,    59,    49,     7,     8,    46,    47,     7,
      18,    53,    54,     3,     4,     5,    21,    62,    63,     3,
       4,     5,    21,    64,    63,    61,    64,    12,    12,    12,
      63,    63,    12,    63,    55,    56,    63,    12,    63,    63,
      20,    20,    50,    51,    59,    47,    20,    20,    54,    63,
      64,    56,    63,    20,    63,    20,    63
};

/* YYR1[RULE-NUM] -- Symbol kind of the left-hand side of rule RULE-NUM.  */
static const yytype_int8 yyr1[] =
{
       0,    25,    26,    27,    27,    28,    29,    29,    30,    31,
      31,    31,    31,    31,    31,    31,    33,    32,    35,    34,
      37,    36,    39,    38,    40,    42,    41,    44,    43,    45,
      46,    46,    47,    47,    48,    48,    49,    49,    50,    50,
      50,    51,    51,    51,    52,    52,    53,    53,    54,    54,
      55,    55,    56,    57,    58,    58,    59,    59,    59,    59,
      59,    59,    60,    61,    61,    62,    63,    64,    64
};

/* YYR2[RULE-NUM] -- Number of symbols on the right-hand side of rule RULE-NUM.  */
static const yytype_int8 yyr2[] =
{
       0,     2,     2,     2,     1,     2,     0,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     0,     4,     0,     4,
       0,     4,     0,     4,     1,     0,     4,     0,     4,     1,
       1,     3,     2,     2,     1,     3,     1,     3,     1,     1,
       1,     1,     1,     1,     1,     3,     1,     3,     2,     2,
       1,     3,     3,     8,     3,     3,     2,     2,     2,     2,
       2,     2,     1,     1,     3,     1,     1,     1,     1
};


enum { YYENOMEM = -2 };

#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab
#define YYNOMEM         goto yyexhaustedlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Backward compatibility with an undocumented macro.
   Use YYerror or YYUNDEF. */
#define YYERRCODE YYUNDEF


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)




# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Kind, Value); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo,
                       yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep)
{
  FILE *yyoutput = yyo;
  YY_USE (yyoutput);
  if (!yyvaluep)
    return;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo,
                 yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep)
{
  YYFPRINTF (yyo, "%s %s (",
             yykind < YYNTOKENS ? "token" : "nterm", yysymbol_name (yykind));

  yy_symbol_value_print (yyo, yykind, yyvaluep);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yy_state_t *yybottom, yy_state_t *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yy_state_t *yyssp, YYSTYPE *yyvsp,
                 int yyrule)
{
  int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %d):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       YY_ACCESSING_SYMBOL (+yyssp[yyi + 1 - yynrhs]),
                       &yyvsp[(yyi + 1) - (yynrhs)]);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args) ((void) 0)
# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif






/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg,
            yysymbol_kind_t yykind, YYSTYPE *yyvaluep)
{
  YY_USE (yyvaluep);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yykind, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/* Lookahead token kind.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Number of syntax errors so far.  */
int yynerrs;




/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    yy_state_fast_t yystate = 0;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus = 0;

    /* Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* Their size.  */
    YYPTRDIFF_T yystacksize = YYINITDEPTH;

    /* The state stack: array, bottom, top.  */
    yy_state_t yyssa[YYINITDEPTH];
    yy_state_t *yyss = yyssa;
    yy_state_t *yyssp = yyss;

    /* The semantic value stack: array, bottom, top.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs = yyvsa;
    YYSTYPE *yyvsp = yyvs;

  int yyn;
  /* The return value of yyparse.  */
  int yyresult;
  /* Lookahead symbol kind.  */
  yysymbol_kind_t yytoken = YYSYMBOL_YYEMPTY;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;



#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yychar = YYEMPTY; /* Cause a token to be read.  */

  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yysetstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  YYDPRINTF ((stderr, "Entering state %d\n", yystate));
  YY_ASSERT (0 <= yystate && yystate < YYNSTATES);
  YY_IGNORE_USELESS_CAST_BEGIN
  *yyssp = YY_CAST (yy_state_t, yystate);
  YY_IGNORE_USELESS_CAST_END
  YY_STACK_PRINT (yyss, yyssp);

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    YYNOMEM;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYPTRDIFF_T yysize = yyssp - yyss + 1;

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        yy_state_t *yyss1 = yyss;
        YYSTYPE *yyvs1 = yyvs;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * YYSIZEOF (*yyssp),
                    &yyvs1, yysize * YYSIZEOF (*yyvsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        YYNOMEM;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yy_state_t *yyss1 = yyss;
        union yyalloc *yyptr =
          YY_CAST (union yyalloc *,
                   YYSTACK_ALLOC (YY_CAST (YYSIZE_T, YYSTACK_BYTES (yystacksize))));
        if (! yyptr)
          YYNOMEM;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YY_IGNORE_USELESS_CAST_BEGIN
      YYDPRINTF ((stderr, "Stack size increased to %ld\n",
                  YY_CAST (long, yystacksize)));
      YY_IGNORE_USELESS_CAST_END

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */


  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either empty, or end-of-input, or a valid lookahead.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token\n"));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = YYEOF;
      yytoken = YYSYMBOL_YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else if (yychar == YYerror)
    {
      /* The scanner already issued an error message, process directly
         to error recovery.  But do not keep the error token as
         lookahead, it is too special and may lead us to an endless
         loop in error recovery. */
      yychar = YYUNDEF;
      yytoken = YYSYMBOL_YYerror;
      goto yyerrlab1;
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);
  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
  case 2: /* input: lines commentlines  */
#line 100 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/core/dplugins/generic/tools/panorama/panoparser/ptoparser/panoParser.y"
    {
        script.iEndingCommentsCount = nbCommentLine;
        script.endingComments = commentLines;
        nbCommentLine = 0;
        commentLines = NULL;
    }
#line 1245 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/redhat-linux-build/core/dplugins/generic/tools/panorama/panoParser.c"
    break;

  case 5: /* line: commentlines realline  */
#line 111 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/core/dplugins/generic/tools/panorama/panoparser/ptoparser/panoParser.y"
    {
        nbCommentLine = 0;
        commentLines = NULL;
    }
#line 1254 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/redhat-linux-build/core/dplugins/generic/tools/panorama/panoParser.c"
    break;

  case 8: /* commentline: PT_TOKEN_COMMENT eoln  */
#line 120 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/core/dplugins/generic/tools/panorama/panoparser/ptoparser/panoParser.y"
    {
        char** curComment = (char**) panoScriptReAlloc((void**) &commentLines,
                                                       sizeof(char*),
                                                       &nbCommentLine);

        if (curComment == NULL) {
            yyerror("Not enough memory");
            return -1;
        }

        *curComment = strdup((yyvsp[-1].strVal));
    }
#line 1271 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/redhat-linux-build/core/dplugins/generic/tools/panorama/panoParser.c"
    break;

  case 9: /* realline: inputline eoln  */
#line 134 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/core/dplugins/generic/tools/panorama/panoparser/ptoparser/panoParser.y"
    {
        int* curImageCommentsCount = NULL;
        char*** curImageComments = NULL;
        int prevNbImages = script.iInputImagesCount - 1;

        curImageCommentsCount = (int*) panoScriptReAlloc((void**) &(script.iImage_prevCommentsCount),
                                                         sizeof(int),
                                                         &prevNbImages);
        if (curImageCommentsCount == NULL) {
            yyerror("Not enough memory");
            return -1;
        }
        *curImageCommentsCount = nbCommentLine;

        prevNbImages--;
        curImageComments = (char***) panoScriptReAlloc((void**) &(script.image_prevComments),
                                                       sizeof(char**),
                                                       &prevNbImages);
        if (curImageComments == NULL) {
            /* In that case, script.iImage_prevCommentsCount and script.image_prevComments are not coherent */
            /* Resizing to remove the element just introduced */
            script.iImage_prevCommentsCount = (int*) realloc((void*) script.iImage_prevCommentsCount, prevNbImages * sizeof(char**));
            yyerror("Not enough memory");
            return -1;
        }
        *curImageComments = commentLines;
    }
#line 1303 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/redhat-linux-build/core/dplugins/generic/tools/panorama/panoParser.c"
    break;

  case 10: /* realline: panoline eoln  */
#line 162 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/core/dplugins/generic/tools/panorama/panoparser/ptoparser/panoParser.y"
    {
        script.iPano_prevCommentsCount = nbCommentLine;
        script.pano_prevComments = commentLines;
    }
#line 1312 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/redhat-linux-build/core/dplugins/generic/tools/panorama/panoParser.c"
    break;

  case 11: /* realline: optimizeOptsline eoln  */
#line 167 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/core/dplugins/generic/tools/panorama/panoparser/ptoparser/panoParser.y"
    {
        script.iOptimize_prevCommentsCount = nbCommentLine;
        script.optimize_prevComments = commentLines;
    }
#line 1321 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/redhat-linux-build/core/dplugins/generic/tools/panorama/panoParser.c"
    break;

  case 12: /* realline: optimizeVarsline eoln  */
#line 172 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/core/dplugins/generic/tools/panorama/panoparser/ptoparser/panoParser.y"
    {
        int* curVarCommentsCount = NULL;
        char*** curVarComments = NULL;
        int prevNbVars = script.iVarsToOptimizeCount - 1;

        curVarCommentsCount = (int*) panoScriptReAlloc((void**) &(script.iVarsToOptimize_prevCommentsCount),
                                                       sizeof(int),
                                                       &prevNbVars);
        if (curVarCommentsCount == NULL) {
            yyerror("Not enough memory");
            return -1;
        }
        *curVarCommentsCount = nbCommentLine;

        prevNbVars--;
        curVarComments = (char***) panoScriptReAlloc((void**) &(script.varsToOptimize_prevComments),
                                                     sizeof(char**),
                                                     &prevNbVars);
        if (curVarComments == NULL) {
            /* In that case, script.iVarsToOptimize_prevCommentsCount and script.varsToOptimize_prevComments are not coherent */
            /* Resizing to remove the element just introduced */
            script.iVarsToOptimize_prevCommentsCount = (int*) realloc((void*) script.iVarsToOptimize_prevCommentsCount, prevNbVars * sizeof(char**));
            yyerror("Not enough memory");
            return -1;
        }
        *curVarComments = commentLines;
    }
#line 1353 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/redhat-linux-build/core/dplugins/generic/tools/panorama/panoParser.c"
    break;

  case 14: /* realline: ctrlPtsLine eoln  */
#line 201 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/core/dplugins/generic/tools/panorama/panoparser/ptoparser/panoParser.y"
    {
        int* curCPCommentsCount = NULL;
        char*** curCPComments = NULL;
        int prevNbCP = script.iCtrlPointsCount - 1;

        curCPCommentsCount = (int*) panoScriptReAlloc((void**) &(script.iCtrlPoints_prevCommentsCount),
                                                      sizeof(int),
                                                      &prevNbCP);
        if (curCPCommentsCount == NULL) {
            yyerror("Not enough memory");
            return -1;
        }
        *curCPCommentsCount = nbCommentLine;

        prevNbCP--;
        curCPComments = (char***) panoScriptReAlloc((void**) &(script.ctrlPoints_prevComments),
                                                    sizeof(char**),
                                                    &prevNbCP);
        if (curCPComments == NULL) {
            /* In that case, script.iCtrlPoints_prevCommentsCount and script.ctrlPoints_prevComments are not coherent */
            /* Resizing to remove the element just introduced */
            script.iCtrlPoints_prevCommentsCount = (int*) realloc((void*) script.iCtrlPoints_prevCommentsCount, prevNbCP * sizeof(char**));
            yyerror("Not enough memory");
            return -1;
        }
        *curCPComments = commentLines;
    }
#line 1385 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/redhat-linux-build/core/dplugins/generic/tools/panorama/panoParser.c"
    break;

  case 15: /* realline: maskPtsLine eoln  */
#line 229 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/core/dplugins/generic/tools/panorama/panoparser/ptoparser/panoParser.y"
    {
        int* curMaskCommentsCount = NULL;
        char*** curMaskComments = NULL;
        int prevNbMasks = script.iMasksCount - 1;

        curMaskCommentsCount = (int*) panoScriptReAlloc((void**) &(script.iMasks_prevCommentsCount),
                                                        sizeof(int),
                                                        &prevNbMasks);
        if (curMaskCommentsCount == NULL) {
            yyerror("Not enough memory");
            return -1;
        }
        *curMaskCommentsCount = nbCommentLine;

        prevNbMasks--;
        curMaskComments = (char***) panoScriptReAlloc((void**) &(script.masks_prevComments),
                                                      sizeof(char**),
                                                      &prevNbMasks);
        if (curMaskComments == NULL) {
            /* In that case, script.iMasks_prevCommentsCount and script.masks_prevComments are not coherent */
            /* Resizing to remove the element just introduced */
            script.iMasks_prevCommentsCount = (int*) realloc((void*) script.iMasks_prevCommentsCount, prevNbMasks * sizeof(char**));
            yyerror("Not enough memory");
            return -1;
        }
        *curMaskComments = commentLines;
    }
#line 1417 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/redhat-linux-build/core/dplugins/generic/tools/panorama/panoParser.c"
    break;

  case 16: /* $@1: %empty  */
#line 259 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/core/dplugins/generic/tools/panorama/panoparser/ptoparser/panoParser.y"
    {
        int i;
        currentLine = PT_TOKEN_INPUT_LINE;

        image = (pt_script_image*) panoScriptReAlloc((void**) &(script.inputImageSpec),
                                                     sizeof(pt_script_image),
                                                     &script.iInputImagesCount);

        if (image == NULL) {
            yyerror("Not enough memory");
            return -1;
        }

        image->fHorFOVRef = -1;
        image->yawRef = -1;
        image->pitchRef = -1;
        for (i = 0; i < PANO_PARSER_COEF_COUNT; i++) {
            image->geometryCoefRef[i] = -1;
        }
        image->imageEVRef = -1;
        image->whiteBalanceFactorRedRef = -1;
        image->whiteBalanceFactorBlueRef = -1;
        for (i = 0; i < PANO_PARSER_RESP_CURVE_COEF_COUNT; i++) {
            image->photometricCoefRef[i] = -1;
        }
        image->vignettingCorrectionModeRef = -1;
        for (i = 0; i < PANO_PARSER_VIGN_COEF_COUNT; i++) {
            image->vignettingCorrectionCoefRef[i] = -1;
        }
        image->stackRef = -1;
    }
#line 1453 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/redhat-linux-build/core/dplugins/generic/tools/panorama/panoParser.c"
    break;

  case 18: /* $@2: %empty  */
#line 293 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/core/dplugins/generic/tools/panorama/panoparser/ptoparser/panoParser.y"
    {
        currentLine = PT_TOKEN_PANO_LINE;
    }
#line 1461 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/redhat-linux-build/core/dplugins/generic/tools/panorama/panoParser.c"
    break;

  case 20: /* $@3: %empty  */
#line 299 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/core/dplugins/generic/tools/panorama/panoparser/ptoparser/panoParser.y"
    {
        currentLine = PT_TOKEN_PANO_OPTIMIZE_OPT_LINE;
    }
#line 1469 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/redhat-linux-build/core/dplugins/generic/tools/panorama/panoParser.c"
    break;

  case 22: /* $@4: %empty  */
#line 307 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/core/dplugins/generic/tools/panorama/panoparser/ptoparser/panoParser.y"
    {
        currentLine = PT_TOKEN_PANO_OPTIMIZE_VARS_LINE;
    }
#line 1477 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/redhat-linux-build/core/dplugins/generic/tools/panorama/panoParser.c"
    break;

  case 25: /* $@5: %empty  */
#line 314 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/core/dplugins/generic/tools/panorama/panoparser/ptoparser/panoParser.y"
    {
        currentLine = PT_TOKEN_CONTROL_PT_LINE;
        ctrlPoint = (pt_script_ctrl_point*) panoScriptReAlloc((void**) &script.ctrlPointsSpec,
                                                              sizeof(pt_script_ctrl_point),
                                                              &script.iCtrlPointsCount);
        if (ctrlPoint == NULL) {
            yyerror("Not enough memory");
            return -1;
        }
    }
#line 1492 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/redhat-linux-build/core/dplugins/generic/tools/panorama/panoParser.c"
    break;

  case 27: /* $@6: %empty  */
#line 327 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/core/dplugins/generic/tools/panorama/panoparser/ptoparser/panoParser.y"
    {
        currentLine = PT_TOKEN_MASK_PT_LINE;
        mask = (pt_script_mask*) malloc(sizeof(pt_script_mask));
        if (mask == NULL) {
            yyerror("Not enough memory");
            return -1;
        }
    }
#line 1505 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/redhat-linux-build/core/dplugins/generic/tools/panorama/panoParser.c"
    break;

  case 28: /* maskPtsLine: PT_TOKEN_MASK_PT_LINE PT_TOKEN_SEP $@6 varsparmsmask  */
#line 336 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/core/dplugins/generic/tools/panorama/panoparser/ptoparser/panoParser.y"
    {
        pt_script_mask** maskPtr = NULL;

        if ((yyvsp[0].iVal) == -1) {
            yyerror("Mask line without an image reference");
            return -1;
        }
        if ((yyvsp[0].iVal) >= script.iInputImagesCount) {
            yyerror("Mask line referencing a missing input image");
            return -1;
        }
        maskPtr = (pt_script_mask**) panoScriptReAlloc((void**) &script.masks,
                                                       sizeof(pt_script_mask*),
                                                       &script.iMasksCount);

        if (maskPtr == NULL) {
            yyerror("Not enough memory");
            return -1;
        }
        *maskPtr = mask;
    }
#line 1531 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/redhat-linux-build/core/dplugins/generic/tools/panorama/panoParser.c"
    break;

  case 29: /* eoln: PT_TOKEN_EOL  */
#line 359 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/core/dplugins/generic/tools/panorama/panoparser/ptoparser/panoParser.y"
    {
        DEBUG_1("ENDOFLINE");
        currentLine = -1; /* This says we don't know the type of line being processed */
    }
#line 1540 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/redhat-linux-build/core/dplugins/generic/tools/panorama/panoParser.c"
    break;

  case 32: /* varOpt: PT_TOKEN_KEYWORD_MULTICHAR int  */
#line 374 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/core/dplugins/generic/tools/panorama/panoparser/ptoparser/panoParser.y"
    {
        pt_script_optimize_var* varToOptimize = (pt_script_optimize_var*) panoScriptReAlloc((void**) &script.varsToOptimize,
                                                                                            sizeof(pt_script_optimize_var),
                                                                                            &script.iVarsToOptimizeCount);
        if (varToOptimize == NULL) {
            yyerror("Not enough memory");
            return -1;
        }

        varToOptimize->varName = strdup((yyvsp[-1].strVal));
        varToOptimize->varIndex = (yyvsp[0].iVal);
    }
#line 1557 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/redhat-linux-build/core/dplugins/generic/tools/panorama/panoParser.c"
    break;

  case 33: /* varOpt: PT_TOKEN_KEYWORD int  */
#line 387 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/core/dplugins/generic/tools/panorama/panoparser/ptoparser/panoParser.y"
    {
        char keyword[2];

        pt_script_optimize_var* varToOptimize = (pt_script_optimize_var*) panoScriptReAlloc((void**) &script.varsToOptimize,
                                                                                            sizeof(pt_script_optimize_var),
                                                                                            &script.iVarsToOptimizeCount);
        if (varToOptimize == NULL) {
            yyerror("Not enough memory");
            return -1;
        }

        keyword[0] = (yyvsp[-1].cVal);
        keyword[1] = 0;

        varToOptimize->varName = strdup(keyword);
        varToOptimize->varIndex = (yyvsp[0].iVal);
    }
#line 1579 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/redhat-linux-build/core/dplugins/generic/tools/panorama/panoParser.c"
    break;

  case 46: /* varsparmsmask: varparmmask  */
#line 425 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/core/dplugins/generic/tools/panorama/panoparser/ptoparser/panoParser.y"
    {
        (yyval.iVal) = (yyvsp[0].iVal);
    }
#line 1587 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/redhat-linux-build/core/dplugins/generic/tools/panorama/panoParser.c"
    break;

  case 47: /* varsparmsmask: varsparmsmask PT_TOKEN_SEP varparmmask  */
#line 429 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/core/dplugins/generic/tools/panorama/panoparser/ptoparser/panoParser.y"
    {
        if ((yyvsp[-2].iVal) != -1)
            (yyval.iVal) = (yyvsp[-2].iVal);
        else
            (yyval.iVal) = (yyvsp[0].iVal);
    }
#line 1598 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/redhat-linux-build/core/dplugins/generic/tools/panorama/panoParser.c"
    break;

  case 48: /* varparmmask: PT_TOKEN_KEYWORD int  */
#line 437 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/core/dplugins/generic/tools/panorama/panoparser/ptoparser/panoParser.y"
    {
        (yyval.iVal) = -1;
        switch ((yyvsp[-1].cVal)) {
        case 'i':
            mask->iImage = (yyvsp[0].iVal);
            (yyval.iVal) = (yyvsp[0].iVal);
            break;
        case 't':
            mask->type = (yyvsp[0].iVal);
            break;
        default:
            panoScriptParserError("Invalid variable name [%c] in mask line.\n", (yyvsp[-1].cVal));
            return -1;
        }
    }
#line 1618 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/redhat-linux-build/core/dplugins/generic/tools/panorama/panoParser.c"
    break;

  case 49: /* varparmmask: PT_TOKEN_KEYWORD_MASK mask  */
#line 453 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/core/dplugins/generic/tools/panorama/panoparser/ptoparser/panoParser.y"
    {
        (yyval.iVal) = -1;
        mask->points = NULL;
        mask->iPointsCount = 0;
    }
#line 1628 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/redhat-linux-build/core/dplugins/generic/tools/panorama/panoParser.c"
    break;

  case 52: /* maskpoint: int PT_TOKEN_COMMA int  */
#line 463 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/core/dplugins/generic/tools/panorama/panoparser/ptoparser/panoParser.y"
    {
        pt_point* maskPointPtr = (pt_point*) panoScriptReAlloc((void**) &mask->points,
                                                               sizeof(pt_point),
                                                               &mask->iPointsCount);

        if (maskPointPtr == NULL) {
            yyerror("Not enough memory");
            return -1;
        }
        maskPointPtr->x = (yyvsp[-2].iVal);
        maskPointPtr->y = (yyvsp[0].iVal);
    }
#line 1645 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/redhat-linux-build/core/dplugins/generic/tools/panorama/panoParser.c"
    break;

  case 53: /* varcropping: PT_TOKEN_KEYWORD_CROPPING int PT_TOKEN_COMMA int PT_TOKEN_COMMA int PT_TOKEN_COMMA int  */
#line 478 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/core/dplugins/generic/tools/panorama/panoparser/ptoparser/panoParser.y"
    {
        int* cropArea = NULL;
        printf("Cropping...\n");

        if (currentLine != PT_TOKEN_PANO_LINE && currentLine != PT_TOKEN_INPUT_LINE) {
            panoScriptParserError("Error: There shouldn't be any cropping parameter here!\n");
            return -1;
        }

        if (currentLine == PT_TOKEN_PANO_LINE) {
            cropArea = script.pano.cropArea;
        } else {
            cropArea = image->cropArea;
        }
        switch ((yyvsp[-7].cVal)) {
        case 'C':
        case 'S':
            cropArea[0] = (yyvsp[-6].iVal);
            cropArea[1] = (yyvsp[-4].iVal);
            cropArea[2] = (yyvsp[-2].iVal);
            cropArea[3] = (yyvsp[0].iVal);
            break;
        default:
            panoScriptParserError("Invalid variable name- [%c] in image line\n", (yyvsp[-7].cVal));
            return -1;
        }
    }
#line 1677 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/redhat-linux-build/core/dplugins/generic/tools/panorama/panoParser.c"
    break;

  case 54: /* varreference: PT_TOKEN_KEYWORD_MULTICHAR PT_TOKEN_REFERENCE int  */
#line 508 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/core/dplugins/generic/tools/panorama/panoparser/ptoparser/panoParser.y"
    {
        int imageRef = (yyvsp[0].iVal);
        char *keyword = (yyvsp[-2].strVal);

        if (currentLine != PT_TOKEN_INPUT_LINE) {
            panoScriptParserError("Error: References should only be present on i lines!\n");
            return -1;
        }

        switch (*keyword) {
        case 'R':
        {
            switch (*(keyword + 1)) {
            case 'a':
            case 'b':
            case 'c':
            case 'd':
            case 'e':
                if (*(keyword + 2) == '\0') {
                    image->photometricCoefRef[*(keyword + 1) - 'a'] = imageRef;
                }
                break;
            default:
                panoScriptParserError("Invalid variable name [%s]\n", keyword);
                return -1;
            }
            break;
        }
        case 'V':
        {
            if (*(keyword + 2) != '\0') {
                panoScriptParserError("Invalid variable name [%s]\n", keyword);
                return -1;
            }
            switch (*(keyword + 1)) {
            case 'a':
            case 'b':
            case 'c':
            case 'd':
            case 'e':
                image->vignettingCorrectionCoefRef[*(keyword + 1) - 'a'] = imageRef;
                break;
            case 'm':
                image->vignettingCorrectionModeRef = imageRef;
                break;
            case 'x':
            case 'y':
                image->vignettingCorrectionCoefRef[*(keyword + 1) - 'x' + 4] = imageRef;
                break;
            default:
                panoScriptParserError("Invalid variable name [%s]\n", keyword);
                return -1;
            }
            break;
        }
        case 'E':
        {
            if (strcmp(keyword, "Eev") == 0) {
                image->imageEVRef = imageRef;
                break;
            }


            if (*(keyword + 2) != '\0') {
                panoScriptParserError("Invalid variable name [%s]\n", keyword);
                return -1;
            }
            switch (*(keyword + 1)) {
            case 'r':
                image->whiteBalanceFactorRedRef = imageRef;
                break;
            case 'b':
                image->whiteBalanceFactorBlueRef = imageRef;
                break;
            default:
                panoScriptParserError("Invalid variable name [%s]\n", keyword);
                return -1;
            }
            break;
        }
        default:
            panoScriptParserError("Invalid variable name [%s]\n", keyword);
            return -1;
        }
    }
#line 1767 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/redhat-linux-build/core/dplugins/generic/tools/panorama/panoParser.c"
    break;

  case 55: /* varreference: PT_TOKEN_KEYWORD PT_TOKEN_REFERENCE int  */
#line 594 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/core/dplugins/generic/tools/panorama/panoparser/ptoparser/panoParser.y"
    {
        int imageRef = (yyvsp[0].iVal);

        if (currentLine != PT_TOKEN_INPUT_LINE) {
            panoScriptParserError("Error: References should only be present on i lines!\n");
            return -1;
        }
        switch ((yyvsp[-2].cVal)) {
        case 'v':
            image->fHorFOVRef = imageRef;
            break;
        case 'y':
            image->yawRef = imageRef;
            break;
        case 'p':
            image->pitchRef = imageRef;
            break;
        case 'r':
            image->rollRef = imageRef;
            break;
        case 'a':
        case 'b':
        case 'c':
        case 'd':
        case 'e':
            image->geometryCoefRef[(yyvsp[-2].cVal) - 'a'] = imageRef;
            break;
        case 'g':
            image->geometryCoefRef[5] = imageRef;
            break;
        case 't':
            image->geometryCoefRef[6] = imageRef;
            break;
        case 'j':
            image->stackRef = imageRef;
            break;
        default:
            panoScriptParserError("Invalid variable name [%c=] in input line.\n", (yyvsp[-2].cVal));
            return -1;
        }
    }
#line 1813 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/redhat-linux-build/core/dplugins/generic/tools/panorama/panoParser.c"
    break;

  case 56: /* varparameter: PT_TOKEN_KEYWORD PT_TOKEN_STRING  */
#line 639 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/core/dplugins/generic/tools/panorama/panoparser/ptoparser/panoParser.y"
    {
        /* For the case where the keyword is one char, followed by a string */

        DEBUG_2("Token %s", (yyvsp[0].strVal));

        /* Processing of string variables */
        switch (currentLine) {
        case PT_TOKEN_PANO_LINE:
            switch ((yyvsp[-1].cVal)) {
            case 'n':
                ParserStringCopy(&script.pano.outputFormat, (yyvsp[0].strVal));
                break;
            case 'T':
                if (strncmp((yyvsp[0].strVal), "UINT", 4) == 0) {
                    if (strcmp((yyvsp[0].strVal) + 4, "8") == 0) {
                        script.pano.bitDepthOutput = BD_UINT8;
                    } else if (strcmp((yyvsp[0].strVal) + 4, "16") == 0) {
                        script.pano.bitDepthOutput = BD_UINT16;
                    } else {
                        panoScriptParserError("Invalid bitdepth [%s] in pano line\n", (yyvsp[0].strVal));
                        return -1;
                    }
                } else if (strcmp((yyvsp[0].strVal), "FLOAT") == 0) {
                        script.pano.bitDepthOutput = BD_FLOAT;
                } else {
                    panoScriptParserError("Invalid bitdepth [%s] in pano line\n", (yyvsp[0].strVal));
                    return -1;
                }
                break;
            default:
                panoScriptParserError("Invalid variable name [%c] in pano line\n", (yyvsp[-1].cVal));
                return -1;
            }
            break;
        case PT_TOKEN_INPUT_LINE:
            if ((yyvsp[-1].cVal) != 'n') {
                panoScriptParserError("Invalid variable name [%c] in image line...\n", (yyvsp[-1].cVal));
                return -1;
            }
            ParserStringCopy(&image->name, (yyvsp[0].strVal));
            break;
        default:
            panoScriptParserError("Error Not handled case [%c]\n", (yyvsp[-1].cVal));
            return -1;
        }
    }
#line 1864 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/redhat-linux-build/core/dplugins/generic/tools/panorama/panoParser.c"
    break;

  case 57: /* varparameter: PT_TOKEN_KEYWORD_PROJPARAMS projparams  */
#line 686 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/core/dplugins/generic/tools/panorama/panoparser/ptoparser/panoParser.y"
    {
        if (currentLine != PT_TOKEN_PANO_LINE) {
            panoScriptParserError("Unexpected 'P' parameter!!\n");
        }
        nbProjParms = 0;
        projParms = NULL;
    }
#line 1876 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/redhat-linux-build/core/dplugins/generic/tools/panorama/panoParser.c"
    break;

  case 58: /* varparameter: PT_TOKEN_KEYWORD int  */
#line 694 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/core/dplugins/generic/tools/panorama/panoparser/ptoparser/panoParser.y"
    {
        /* Processing of int variables with keyword of one character only */
        switch (currentLine) {
        case PT_TOKEN_CONTROL_PT_LINE:
            switch ((yyvsp[-1].cVal)) {
            case 'n':
                ctrlPoint->iImage1 = (yyvsp[0].iVal);
                break;
            case 'N':
                ctrlPoint->iImage2 = (yyvsp[0].iVal);
                break;
            case 'x':
                ctrlPoint->p1.x = (yyvsp[0].iVal);
                break;
            case 'y':
                ctrlPoint->p1.y = (yyvsp[0].iVal);
                break;
            case 'X':
                ctrlPoint->p2.x = (yyvsp[0].iVal);
                break;
            case 'Y':
                ctrlPoint->p2.y = (yyvsp[0].iVal);
                break;
            case 't':
                ctrlPoint->type = (yyvsp[0].iVal);
                break;
            default:
                panoScriptParserError("Invalid variable name [%c] in control point line.\n", (yyvsp[-1].cVal));
                return -1;
            }
            break;
        case PT_TOKEN_PANO_LINE:
            switch ((yyvsp[-1].cVal)) {
            case 'w':
                script.pano.width = (yyvsp[0].iVal);
                break;
            case 'h':
                script.pano.height = (yyvsp[0].iVal);
                break;
            case 'f':
                script.pano.projection = (yyvsp[0].iVal);
                break;
            case 'v':
                script.pano.fHorFOV = (yyvsp[0].iVal);
                break;
            case 'k':
                script.pano.iImagePhotometricReference = (yyvsp[0].iVal);
                break;
            case 'E':
                script.pano.exposureValue = (yyvsp[0].iVal);
                break;
            case 'R':
                script.pano.dynamicRangeMode = (yyvsp[0].iVal);
                break;
            default:
                panoScriptParserError("Error Invalid variable name [%c] in pano line\n", (yyvsp[-1].cVal));
                return -1;
            }
            break;
        case PT_TOKEN_INPUT_LINE:
            switch ((yyvsp[-1].cVal)) {
            case 'w':
                image->width = (yyvsp[0].iVal);
                break;
            case 'h':
                image->height = (yyvsp[0].iVal);
                break;
            case 'f':
                image->projection = (yyvsp[0].iVal);
                break;
            case 'v':
                image->fHorFOV = (yyvsp[0].iVal);
                break;
            case 'y':
                image->yaw = (yyvsp[0].iVal);
                break;
            case 'p':
                image->pitch = (yyvsp[0].iVal);
                break;
            case 'r':
                image->roll = (yyvsp[0].iVal);
                break;
            case 'a':
            case 'b':
            case 'c':
            case 'd':
            case 'e':
                image->geometryCoef[(yyvsp[-1].cVal) - 'a'] = (yyvsp[0].iVal);
                break;
            case 'g':
                image->geometryCoef[5] = (yyvsp[0].iVal);
                break;
            case 't':
                image->geometryCoef[6] = (yyvsp[0].iVal);
                break;
            case 'j':
                image->stack = (yyvsp[0].iVal);
                break;
            default:
                panoScriptParserError("Invalid variable name [%c] in image line...\n", (yyvsp[-1].cVal));
                return -1;
            }
            break;
        case PT_TOKEN_PANO_OPTIMIZE_OPT_LINE:
            switch ((yyvsp[-1].cVal)) {
            case 'g':
                script.optimize.fGamma = (yyvsp[0].iVal);
                if (script.optimize.fGamma <= 0.0) {
                    panoScriptParserError("Invalid value for gamma %f. Must be bigger than zero\n", script.optimize.fGamma);
                }
            break;
            case 'i':
                script.optimize.interpolator = (yyvsp[0].iVal);
                break;
            case 'f':
                script.optimize.fastFT = 2 - (yyvsp[0].iVal);
                break;
            case 'm':
                script.optimize.huberEstimator = (yyvsp[0].iVal);
                break;
            case 'p':
                script.optimize.photometricHuberSigma = (yyvsp[0].iVal);
                break;
            default:
                panoScriptParserError("Invalid variable name [%c] in optimize line\n", (yyvsp[-1].cVal));
                return -1;
            }
            break;
        default:
            panoScriptParserError("Error. Not handled (token int [%c])\n", (yyvsp[-1].cVal));
            return -1;
        }
    }
#line 2014 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/redhat-linux-build/core/dplugins/generic/tools/panorama/panoParser.c"
    break;

  case 59: /* varparameter: PT_TOKEN_KEYWORD float  */
#line 828 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/core/dplugins/generic/tools/panorama/panoparser/ptoparser/panoParser.y"
    {
        /* Processing of int variables with keyword of one character only */
        switch (currentLine) {
        case PT_TOKEN_CONTROL_PT_LINE:
            switch ((yyvsp[-1].cVal)) {
            case 'x':
                ctrlPoint->p1.x = (yyvsp[0].fVal);
                break;
            case 'y':
                ctrlPoint->p1.y = (yyvsp[0].fVal);
                break;
            case 'X':
                ctrlPoint->p2.x = (yyvsp[0].fVal);
                break;
            case 'Y':
                ctrlPoint->p2.y = (yyvsp[0].fVal);
                break;
            default:
                panoScriptParserError("Invalid variable name [%c] in control point line.\n", (yyvsp[-1].cVal));
                return -1;
            }
            break;
        case PT_TOKEN_PANO_LINE:
            switch ((yyvsp[-1].cVal)) {
            case 'v':
                script.pano.fHorFOV = (yyvsp[0].fVal);
                break;
            case 'E':
                script.pano.exposureValue = (yyvsp[0].fVal);
                break;
            default:
                panoScriptParserError("Error Invalid variable name [%c] in pano line\n", (yyvsp[-1].cVal));
                return -1;
            }
            break;
        case PT_TOKEN_INPUT_LINE:
            switch ((yyvsp[-1].cVal)) {
            case 'v':
                image->fHorFOV = (yyvsp[0].fVal);
                break;
            case 'y':
                image->yaw = (yyvsp[0].fVal);
                break;
            case 'p':
                image->pitch = (yyvsp[0].fVal);
                break;
            case 'r':
                image->roll = (yyvsp[0].fVal);
                break;
            case 'a':
            case 'b':
            case 'c':
            case 'd':
            case 'e':
                image->geometryCoef[(yyvsp[-1].cVal) - 'a'] = (yyvsp[0].fVal);
                break;
            case 'g':
                image->geometryCoef[5] = (yyvsp[0].fVal);
                break;
            case 't':
                image->geometryCoef[6] = (yyvsp[0].fVal);
                break;
            default:
                panoScriptParserError("Invalid variable name [%c] in image line...\n", (yyvsp[-1].cVal));
                return -1;
            }
            break;
        case PT_TOKEN_PANO_OPTIMIZE_OPT_LINE:
            switch ((yyvsp[-1].cVal)) {
            case 'g':
                script.optimize.fGamma = (yyvsp[0].fVal);
                if (script.optimize.fGamma <= 0.0) {
                    panoScriptParserError("Invalid value for gamma %f. Must be bigger than zero\n", script.optimize.fGamma);
                }
                break;
            case 'm':
                script.optimize.huberEstimator = (yyvsp[0].fVal);
                break;
            case 'p':
                script.optimize.photometricHuberSigma = (yyvsp[0].fVal);
                break;
            default:
                panoScriptParserError("Invalid variable name [%c] in optimize line\n", (yyvsp[-1].cVal));
                return -1;
            }
            break;
        default:
            panoScriptParserError("Error. Not handled (token int [%c])\n", (yyvsp[-1].cVal));
            return -1;
        }
    }
#line 2110 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/redhat-linux-build/core/dplugins/generic/tools/panorama/panoParser.c"
    break;

  case 60: /* varparameter: PT_TOKEN_KEYWORD_MULTICHAR PT_TOKEN_STRING  */
#line 920 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/core/dplugins/generic/tools/panorama/panoparser/ptoparser/panoParser.y"
    {
        if (currentLine != PT_TOKEN_INPUT_LINE) {
            panoScriptParserError("Invalid variable name [%s]\n", (yyvsp[-1].strVal));
            return -1;
        }
        if (strcmp((yyvsp[-1].strVal), "Vf") != 0) {
            panoScriptParserError("Invalid variable name [%s] in image line...\n", (yyvsp[-1].strVal));
            return -1;
        }
        ParserStringCopy(&image->vignettingFlatFieldFile, (yyvsp[0].strVal));
        break;
    }
#line 2127 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/redhat-linux-build/core/dplugins/generic/tools/panorama/panoParser.c"
    break;

  case 61: /* varparameter: PT_TOKEN_KEYWORD_MULTICHAR intorfloat  */
#line 933 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/core/dplugins/generic/tools/panorama/panoparser/ptoparser/panoParser.y"
    {
        char *keyword = (yyvsp[-1].strVal);

        switch (*keyword) {
        case 'R':
        {
            switch (*(keyword + 1)) {
            case 'a':
            case 'b':
            case 'c':
            case 'd':
            case 'e':
                if (*(keyword + 2) == '\0') {
                    image->photometricCoef[*(keyword + 1) - 'a'] = (yyvsp[0].fVal);
                }
                break;
            default:
                panoScriptParserError("Invalid variable name [%s]\n", keyword);
                return -1;
            }
            break;
        }
        case 'V':
        {
            if (*(keyword + 2) != '\0') {
                panoScriptParserError("Invalid variable name [%s]\n", keyword);
                return -1;
            }
            switch (*(keyword + 1)) {
            case 'a':
            case 'b':
            case 'c':
            case 'd':
            case 'e':
                image->vignettingCorrectionCoef[*(keyword + 1) - 'a'] = (yyvsp[0].fVal);
                break;
            case 'm':
                image->vignettingCorrectionMode = lround((yyvsp[0].fVal));
                break;
            case 'x':
            case 'y':
                image->vignettingCorrectionCoef[*(keyword + 1) - 'x' + 4] = (yyvsp[0].fVal);
                break;
            default:
                panoScriptParserError("Invalid variable name [%s]\n", keyword);
                return -1;
            }
            break;
        }
        case 'E':
        {
            if (strcmp(keyword + 1, "ev") == 0) {
                image->imageEV = (yyvsp[0].fVal);
                break;
            }


            if (*(keyword + 2) != '\0') {
                panoScriptParserError("Invalid variable name [%s]\n", keyword);
                return -1;
            }
            switch (*(keyword + 1)) {
            case 'r':
                image->whiteBalanceFactorRed = (yyvsp[0].fVal);
                break;
            case 'b':
                image->whiteBalanceFactorBlue = (yyvsp[0].fVal);
                break;
            default:
                panoScriptParserError("Invalid variable name [%s]\n", keyword);
                return -1;
            }
            break;
        }
        case 'T':
        {
            if (*(keyword + 1) == 'r' && *(keyword + 3) == '\0') {
                switch (*(keyword + 2)) {
                case 'X':
                case 'Y':
                case 'Z':
                    image->cameraPosition[*(keyword + 2) - 'X'] = (yyvsp[0].fVal);
                    break;
                default:
                    panoScriptParserError("Invalid variable name [%s]\n", keyword);
                    return -1;
                }
            } else if (*(keyword + 1) == 'p' && *(keyword + 3) == '\0') {
                switch (*(keyword + 2)) {
                case 'y':
                    image->projectionPlaneRotation[0] = (yyvsp[0].fVal);
                    break;
                case 'p':
                    image->projectionPlaneRotation[1] = (yyvsp[0].fVal);
                    break;
                default:
                    panoScriptParserError("Invalid variable name [%s]\n", keyword);
                    return -1;
                }
            } else {
                panoScriptParserError("Invalid variable name [%s]\n", keyword);
                return -1;
            }
            break;
        }
        default:
            panoScriptParserError("Invalid variable name [%s]\n", keyword);
            return -1;
        }
    }
#line 2242 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/redhat-linux-build/core/dplugins/generic/tools/panorama/panoParser.c"
    break;

  case 62: /* varonly: PT_TOKEN_KEYWORD  */
#line 1047 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/core/dplugins/generic/tools/panorama/panoparser/ptoparser/panoParser.y"
    {
        switch (currentLine) {
        case PT_TOKEN_PANO_LINE:
            if ((yyvsp[0].cVal) != 'T') {
                panoScriptParserError("Invalid variable name [%c] in pano line\n", (yyvsp[0].cVal));
                return -1;
            }
            script.pano.bitDepthOutput = BD_UINT8;
            break;
        case PT_TOKEN_INPUT_LINE:
            panoScriptParserError("Invalid variable name [%c] in image line....\n", (yyvsp[0].cVal));
            return -1;
        default:
            panoScriptParserError("Error Not handled 3\n");
            return -1;
        }
    }
#line 2264 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/redhat-linux-build/core/dplugins/generic/tools/panorama/panoParser.c"
    break;

  case 63: /* projparams: intorfloat  */
#line 1066 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/core/dplugins/generic/tools/panorama/panoparser/ptoparser/panoParser.y"
    {
        double* param = (double*) panoScriptReAlloc((void**) &projParms,
                                                    sizeof(double),
                                                    &nbProjParms);
        *param = (yyvsp[0].fVal);
    }
#line 2275 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/redhat-linux-build/core/dplugins/generic/tools/panorama/panoParser.c"
    break;

  case 64: /* projparams: projparams PT_TOKEN_COMMA intorfloat  */
#line 1073 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/core/dplugins/generic/tools/panorama/panoparser/ptoparser/panoParser.y"
    {
        double* param = (double*) panoScriptReAlloc((void**) &projParms,
                                                    sizeof(double),
                                                    &nbProjParms);
        *param = (yyvsp[0].fVal);
    }
#line 2286 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/redhat-linux-build/core/dplugins/generic/tools/panorama/panoParser.c"
    break;

  case 65: /* float: PT_TOKEN_NUMBER_FLOAT  */
#line 1080 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/core/dplugins/generic/tools/panorama/panoparser/ptoparser/panoParser.y"
                             {(yyval.fVal) = (yyvsp[0].fVal);}
#line 2292 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/redhat-linux-build/core/dplugins/generic/tools/panorama/panoParser.c"
    break;

  case 66: /* int: PT_TOKEN_NUMBER_INT  */
#line 1082 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/core/dplugins/generic/tools/panorama/panoparser/ptoparser/panoParser.y"
                         {(yyval.iVal) = (yyvsp[0].iVal);}
#line 2298 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/redhat-linux-build/core/dplugins/generic/tools/panorama/panoParser.c"
    break;

  case 67: /* intorfloat: PT_TOKEN_NUMBER_FLOAT  */
#line 1084 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/core/dplugins/generic/tools/panorama/panoparser/ptoparser/panoParser.y"
                                   {(yyval.fVal) = (yyvsp[0].fVal);}
#line 2304 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/redhat-linux-build/core/dplugins/generic/tools/panorama/panoParser.c"
    break;

  case 68: /* intorfloat: PT_TOKEN_NUMBER_INT  */
#line 1085 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/core/dplugins/generic/tools/panorama/panoparser/ptoparser/panoParser.y"
                          {(yyval.fVal) = (yyvsp[0].iVal);}
#line 2310 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/redhat-linux-build/core/dplugins/generic/tools/panorama/panoParser.c"
    break;


#line 2314 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/redhat-linux-build/core/dplugins/generic/tools/panorama/panoParser.c"

      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", YY_CAST (yysymbol_kind_t, yyr1[yyn]), &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;

  *++yyvsp = yyval;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYSYMBOL_YYEMPTY : YYTRANSLATE (yychar);
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
      yyerror (YY_("syntax error"));
    }

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;
  ++yynerrs;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  /* Pop stack until we find a state that shifts the error token.  */
  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYSYMBOL_YYerror;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYSYMBOL_YYerror)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;


      yydestruct ("Error: popping",
                  YY_ACCESSING_SYMBOL (yystate), yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", YY_ACCESSING_SYMBOL (yyn), yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturnlab;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturnlab;


/*-----------------------------------------------------------.
| yyexhaustedlab -- YYNOMEM (memory exhaustion) comes here.  |
`-----------------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  goto yyreturnlab;


/*----------------------------------------------------------.
| yyreturnlab -- parsing is finished, clean up and return.  |
`----------------------------------------------------------*/
yyreturnlab:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  YY_ACCESSING_SYMBOL (+*yyssp), yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif

  return yyresult;
}

#line 1088 "/builddir/build/BUILD/digikam-8.6.0-build/digikam-8.6.0/core/dplugins/generic/tools/panorama/panoparser/ptoparser/panoParser.y"


